:root {
    --bg: #1e1e1e;
    --panel: #303030;
    --text: #d5d3d3;
    --muted: #9aa0a6;
    --accent: #4047a5;
    --border: #2a2a2a;
}

* {
    box-sizing: border-box;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", sans-serif;
}

body {
    margin: 0;
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background: var(--bg);
    color: var(--text);
}

.card {
    width: 320px;
    /* height: 600px; */
    background: var(--panel);
    border: 1px solid var(--border);
    border-radius: 20px;
    /* border-radius: 20%; */
    padding: 24px;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.25);
}

.card:hover {
    border: .9px solid rgb(127, 127, 127);
}

.avatar {
    width: 200px;
    height: 200px;
    border-radius: 50%;
    object-fit: cover;
    margin-bottom: 16px;
    border: 1px solid var(--border);
}

h1 {
    font-size: 1.5rem;
    margin: 0 0 8px;
}

p {
    font-size: 1.2rem;
    color: var(--muted);
    margin: 0 0 24px;
    line-height: 1.4;
}

.socials {
    display: flex;
    gap: 10px;
    width: 95%;
    /* padding-left: 10px; */
    margin-bottom: 16px;
}

.socials a {
    flex: 1;
    padding: 10px 0;
    border-radius: 8px;
    text-decoration: none;
    font-size: 2rem;
    font-weight: 500;
    /* border: 1px solid var(--border); */
    border: 1px solid rgb(69, 69, 69);
    color: var(--text);
    transition: background 0.2s, transform 0.1s;
}

/* .socials a i { */
    /* margin-right: 6px; */
/* } */

.socials a:hover {
    /* background: #69634c; */
    background: #474a7b;
    transform: translateY(-1px);
}

.contact {
    width: 100%;
    /* padding-top: 14px; */
    /* border-top: 1px solid var(--border); */
    font-size: 1.05rem;
    color: var(--muted);
}

.contact div {
    margin-bottom: 4px;
}

.contact i {
    margin-right: 6px;
    color: var(--accent);
}

.contact a {
    color: var(--accent);
    text-decoration: none;
}

.contact a:hover {
    text-decoration: underline;
}